<?php
/**
 * Change colors regarding user choices in customizer
 *
 * @package coup
 */


function coup_change_colors() {

/**
 * GENERAL THEME COLORS
 */

$body_bg_color            = get_theme_mod( 'coup_body_bg_color', '#fff' );
$main_color               = get_theme_mod( 'coup_main_color', '#eee' );
$heading_color            = get_theme_mod( 'coup_heading_color', '#000' );
$navigation_color         = get_theme_mod( 'coup_navigation_color', '#000' );
$paragraphs_color          = get_theme_mod( 'coup_paragraphs_color', '#000' );
$meta_link_color          = get_theme_mod( 'coup_meta_link_color', '#000' );
$selection_color          = get_theme_mod( 'coup_selection_color', '#f9ce4e' );

$change_colors_style = '

	/* Body BG color */

	body,
	.overlay,
	.menu-open .sidebar-nav-holder,
	.menu-open .sidebar-nav-holder:before,
	.menu-open .sidebar-nav-holder:after,
	div.sharedaddy .sd-content {
		background-color:'. esc_attr( $body_bg_color ) .';
	}

	@media screen and (max-width: 1200px) {
		.search-wrap.focus {
		    background: '. esc_attr( $body_bg_color ) .';
		}
	}

	@media screen and (max-width: 1200px) {
		.main-navigation > div {
		    background:'. esc_attr( $body_bg_color ) .';
		}
	}

	/* Main color */

	pre,
	.blog article.no-featured-content .archive-background,
	.archive article.no-featured-content .archive-background,
	article.type-jetpack-portfolio.no-featured-content .archive-background,
	body #eu-cookie-law {
		background-color:'. esc_attr( $main_color ) .';
	}

	@media screen and (min-width: 1201px) {
		.main-navigation ul ul {
			background:'. esc_attr( $main_color ) .';
		}
	}

	.big-text,
	.archive .page-title.big-text {
		color:'. esc_attr( $main_color ) .';
	}


	/* Headings color */

	h1, h2, h3, h4, h5, h6,
	h1 a, h2 a, h3 a, h4 a, h5 a, h6 a,
	h1 a:visited, h2 a:visited, h3 a:visited, h4 a:visited, h5 a:visited, h6 a:visited,
	h2.widget-title,
	.entry-content h1,
	.entry-content h2,
	.entry-content h3,
	.entry-content h4,
	.entry-content h5,
	.entry-content h6,
	.row .format-quote blockquote,
	.comment-author b,
	.comment-author b a,
	.comment-author b a:visited {
		color: '. esc_attr( $heading_color ) .';
	}

	.comments-title {
		border-bottom-color: '. esc_attr( $heading_color ) .';
	}

	/* Headings hover color */

	h1 a:hover,
	h2 a:hover,
	h3 a:hover,
	h4 a:hover,
	h5 a:hover,
	h6 a:hover,
	h1 a:focus,
	h2 a:focus,
	h3 a:focus,
	h4 a:focus,
	h5 a:focus,
	h6 a:focus,
	h1 a:active,
	h2 a:active,
	h3 a:active,
	h4 a:active,
	h5 a:active,
	h6 a:active,
	.comment-author b a:hover,
	.comment-author b a:focus,
	.comment-author b a:active {
		color:'. coup_hex2rgba( $heading_color , 0.4 ) .';
	}

	/* Paragraph color */

	pre,
	mark, ins {
		background-color: '. coup_hex2rgba( $paragraphs_color , 0.08 ) .';
	}

	body,
	body:not(.single-jetpack-portfolio) .archive-meta,
	body #infinite-footer .blog-credits {
		color: '. esc_attr( $paragraphs_color ) .';
	}

	body .contact-form label {
		color: '. coup_hex2rgba( $paragraphs_color , 0.5 ) .';
	}

	body .contact-form label span {
		color: '. coup_hex2rgba( $paragraphs_color , 0.3 ) .';
	}

	.search article:not(:last-of-type) {
	    border-bottom-color: '. esc_attr( $paragraphs_color ) .';
	}

	.entry-content td, .entry-content th, .comment-content td, .comment-content th {
		border-color: '. esc_attr( $paragraphs_color ) .';
	}


	/* Meta color */

	a,
	a:visited,
	button,
	body #infinite-footer .blog-info a:hover,
	body #infinite-footer .blog-credits a:hover,
	.site-info a,
	.comment-notes,
	.comment-metadata a,
	.widget_wpcom_social_media_icons_widget a,
	.entry-meta,
	.single .entry-footer a:hover,
	.single .entry-footer a:focus,
	.single .entry-footer a:active,
	.single .entry-footer .meta-text,
	body #infinite-handle span button,
	body #infinite-handle span button:focus,
	body #infinite-handle span button:hover,
	.paging-navigation,
	.paging-navigation a:hover,
	.post-format-type:focus, .post-format-type:hover, .post-format-type:active {
		color:'. esc_attr( $meta_link_color ) .';
	}

	.posts-navigation a:active,
	.posts-navigation a:hover,
	.posts-navigation a:focus,
	.entry-meta a:hover,
	.entry-meta a:focus,
	.entry-meta a:active {
		color:'. coup_hex2rgba( $meta_link_color, 0.7 ) .';
	}

	.single .entry-footer,
	.single .entry-footer a,
	.more-link:hover,
	.more-link:focus,
	.more-link:active {
		color:'. coup_hex2rgba( $meta_link_color, 0.4 ) .';
	}

	a:hover, a:active, a:focus,
	#infinite-footer .blog-info a,
	body #infinite-footer .blog-credits a,
	.site-info a:hover,
	.site-info a:focus,
	.site-info a:active,
	.comment-metadata a:hover,
	.widget_wpcom_social_media_icons_widget a:focus,
	.widget_wpcom_social_media_icons_widget a:hover {
		color:'. coup_hex2rgba( $meta_link_color, 0.7 ) .';
	}

	.more-link:after,
	body #infinite-handle span:after {
		background-color: '. esc_attr( $meta_link_color ) .';
	}

	.more-link:hover:after, .more-link:focus:after, .more-link:active:after {
		background-color: '. coup_hex2rgba( $meta_link_color, 0.4 ) .';
	}

	.slick-dots button,
	.slick-dots button:hover, .slick-dots button:focus, .slick-dots button:active,
	a.page-numbers, span.current, span.disabled, .paging-navigation > a {
		border-bottom-color: '. esc_attr( $meta_link_color ) .';
	}

			/* # forms */

	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"] {
		border-color: '. esc_attr( $meta_link_color ) .';
		color: '. esc_attr( $meta_link_color ) .';
	}

	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	input[type="submit"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	input[type="submit"]:active {
		background: '. esc_attr( $meta_link_color ) .';
		color: '. esc_attr( $body_bg_color ) .';
	}

	input[type="text"],
	input[type="email"],
	input[type="url"],
	input[type="password"],
	input[type="search"],
	input[type="number"],
	input[type="tel"],
	input[type="range"],
	input[type="date"],
	input[type="month"],
	input[type="week"],
	input[type="time"],
	input[type="datetime"],
	input[type="datetime-local"],
	input[type="color"],
	textarea {
		color: '. esc_attr( $meta_link_color ) .';
		border-bottom-color: '. esc_attr( $meta_link_color ) .';
	}

	select {
		border-color: '. esc_attr( $meta_link_color ) .';
	}

	input[type="text"]:focus,
	input[type="email"]:focus,
	input[type="url"]:focus,
	input[type="password"]:focus,
	input[type="search"]:focus,
	input[type="number"]:focus,
	input[type="tel"]:focus,
	input[type="range"]:focus,
	input[type="date"]:focus,
	input[type="month"]:focus,
	input[type="week"]:focus,
	input[type="time"]:focus,
	input[type="datetime"]:focus,
	input[type="datetime-local"]:focus,
	input[type="color"]:focus,
	textarea:focus {
		color: '. esc_attr( $meta_link_color ) .';
	}

	textarea {
		border-bottom-color: '. esc_attr( $meta_link_color ) .';
	}

	label.checkbox,
	input[type="checkbox"] + label,
	form.contact-form label.checkbox,
	form.contact-form input[type="checkbox"] + label,
	label.radio,
	input[type="radio"] + label,
	form.contact-form label.radio,
	form.contact-form input[type="radio"] + label {
		color: '. esc_attr( $meta_link_color ) .';
	}

	label.checkbox:before,
	input[type="checkbox"] + label:before,
	label.radio:before,
	input[type="radio"] + label:before {
		border-color: '. esc_attr( $meta_link_color ) .';
		color: '. esc_attr( $meta_link_color ) .';
	}

	label.checkbox:hover:before,
	input[type="checkbox"] + label:hover:before,
	label.radio:hover:before,
	input[type="radio"] + label:hover:before {
		background: '. esc_attr( $meta_link_color ) .';
	}

	.checkbox.checked:hover:before,
	input[type="checkbox"]:checked + label:hover:before,
	.radio.checked:hover:before,
	input[type="radio"]:checked + label:hover:before {
		color: '. esc_attr( $body_bg_color ) .';
	}

	div #respond #comment-form-comment,
	div #comment-form-share-text-padder {
		border-bottom-color: '. esc_attr( $meta_link_color ) .';
	}

	div #respond .comment-form-service {
		border-bottom-color: '. esc_attr( $meta_link_color ) .';
	}

	div #respond .form-submit input,
	div #respond .form-submit input#comment-submit,
	div #respond .comment-form-fields input[type=submit],
	div #respond p.form-submit input[type=submit],
	div #respond input[type=submit],
	div #commentform #submit {
		border-color: '. esc_attr( $meta_link_color ) .';
		color: '. esc_attr( $meta_link_color ) .' !important;
	}

	div #respond .form-submit input:hover,
	div #respond .form-submit input#comment-submit:hover,
	div #respond .comment-form-fields input[type=submit]:hover,
	div #respond p.form-submit input[type=submit]:hover,
	div #respond input[type=submit]:hover,
	div #commentform #submit:hover {
		background: '. esc_attr( $meta_link_color ) .' !important;
		color: '. esc_attr( $body_bg_color ) .' !important;
	}


	/* Navigation color */

	.site-branding,
	.site-title,
	.site-title a,
	.site-title a:visited,
	.main-navigation,
	.main-navigation a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation a:active,
	.dropdown-toggle,
	.dropdown-toggle:hover,
	.dropdown-toggle:focus,
	.dropdown-toggle:active,
	.sidebar-toggle,
	.sidebar-toggle:hover,
	.sidebar-toggle:focus,
	.sidebar-toggle:active,
	.side-nav,
	.side-nav a,
	.side-nav a:hover,
	.side-nav a:focus,
	.side-nav a:active,
	.category-filter a,
	.category-filter a:hover,
	.category-filter a:focus,
	.category-filter a:active,
	.search-wrap .search-form .search-field,
	.search-wrap .search-form .search-submit,
	.search-wrap form:hover .search-submit, .search-wrap.focus .search-submit, .search-wrap .search-submit:hover, .search-wrap .search-submit:focus, .search-wrap .search-submit:active,
	body div.sharedaddy div h3.sd-title,
	.back-to-top,
	.back-to-top:hover, .back-to-top:focus, .back-to-top:active,
	.menu-toggle:focus, .menu-toggle:active, .menu-toggle:hover
	 {
		color: '. esc_attr( $navigation_color ) .';
	}

	.search-wrap .search-field::-webkit-input-placeholder {
		color: '. esc_attr( $navigation_color ) .';
	}

	.search-wrap .search-field:-moz-placeholder {
		color: '. esc_attr( $navigation_color ) .';
	}

	.search-wrap .search-field::-moz-placeholder {
		color: '. esc_attr( $navigation_color ) .';
	}

	.search-wrap .search-field:-ms-input-placeholder {
		color: '. esc_attr( $navigation_color ) .';
	}

	.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
		background-color: '. esc_attr( $navigation_color ) .';
		background-color: '. coup_hex2rgba( $navigation_color , 0.8 ) .';
	}

	.mCSB_scrollTools.mCS-dark .mCSB_dragger:hover .mCSB_dragger_bar,
	.mCSB_scrollTools.mCS-dark .mCSB_dragger:active .mCSB_dragger_bar,
	.mCSB_scrollTools.mCS-dark .mCSB_dragger.mCSB_dragger_onDrag .mCSB_dragger_bar {
		background-color: '. esc_attr( $navigation_color ) .';
	}
	.mCSB_scrollTools .mCSB_draggerRail {
		background-color: '. esc_attr( $navigation_color ) .';
		background-color: '. coup_hex2rgba( $navigation_color , 0.2 ) .';
	}

	.main-navigation a:after,
	.category-filter a:after,
	.search-wrap form:after,
	.menu-toggle .hamburger span {
		background: ' . esc_attr( $navigation_color ) .';
	}

	.site-title a:hover,
	.site-title a:focus,
	.menu-toggle {
		color:'. coup_hex2rgba( $navigation_color , 0.4 ) .';
	}

	/* Selection */

	::-moz-selection { /* Gecko Browsers */
		background: '. esc_attr( $selection_color ) .';
		color: '. esc_attr( $body_bg_color ) .';
	}
	::selection {  /* WebKit/Blink Browsers */
		background: '. esc_attr( $selection_color ) .';
		color: '. esc_attr( $body_bg_color ) .';
	}

	';

	return $change_colors_style;

}

?>
